CREATE TRIGGER DB2INST1.GIORNI_RICHIESTA 
AFTER  INSERT ON DB2INST1.PRESTITO 
REFERENCING NEW AS N 
FOR EACH ROW MODE DB2SQL 
WHEN ( N.NUMERO_GIORNI > ( SELECT C.MAX_GIORNI FROM COPIA_LIBRO C WHERE N.LIBRO = C.CODICE_ISBN AND N.NUMERO_COPIA = C.NUMERO_COPIA ) )
BEGIN ATOMIC
UPDATE PRESTITO
SET NUMERO_GIORNI = ( SELECT C.MAX_GIORNI FROM COPIA_LIBRO C WHERE N.LIBRO = C.CODICE_ISBN AND N.NUMERO_COPIA = C.NUMERO_COPIA )  ;
END
