INSERT INTO PRESTITO(LIBRO, NUMERO_COPIA, UTENTE, DATA_ACQUISIZIONE, ORA_ACQUISIZIONE, NUMERO_GIORNI)
SELECT C.CODICE_ISBN, MIN(C.NUMERO_COPIA), (SELECT NUMERO_TESSERA FROM UTENTE WHERE NOME='Fabio' AND COGNOME='Rinnone'), CURRENT DATE, CURRENT TIME, 5
FROM COPIA_LIBRO C, LIBRO L, SYSIBM.SYSDUMMY1
WHERE C.CODICE_ISBN = L.CODICE_ISBN
AND L.COLLOCAZIONE = ( 	SELECT L1.COLLOCAZIONE
			FROM LIBRO L1, SCRITTURA_LIBRO S, AUTORE A
			WHERE L1.CODICE_ISBN = S.LIBRO
			AND S.AUTORE = A.ID_AUTORE
			AND L1.TITOLO = 'I moderni sistemi operativi'
			AND A.NOME = 'Andrew S.'
			AND A.COGNOME = 'Tanenbaum' )
AND C.DISPONIBILE = 'S'
GROUP BY C.CODICE_ISBN;

UPDATE COPIA_LIBRO 
SET DISPONIBILE = 'N' 
WHERE CODICE_ISBN = ( 	SELECT L.CODICE_ISBN 
			FROM LIBRO L 
			WHERE L.COLLOCAZIONE = ( 	SELECT L1.COLLOCAZIONE
							FROM LIBRO L1, SCRITTURA_LIBRO S, AUTORE A
							WHERE L1.CODICE_ISBN = S.LIBRO
							AND S.AUTORE = A.ID_AUTORE
							AND L1.TITOLO = 'I moderni sistemi operativi'
							AND A.NOME = 'Andrew S.'
							AND A.COGNOME = 'Tanenbaum') ) 
AND NUMERO_COPIA = (	SELECT MIN(C.NUMERO_COPIA) 
			FROM COPIA_LIBRO C, LIBRO L 
			WHERE C.CODICE_ISBN = L.CODICE_ISBN 
			AND C.DISPONIBILE = 'S' );

