UPDATE PRESTITO
SET DATA_RICONSEGNA = (	SELECT CURRENT DATE FROM SYSIBM.SYSDUMMY1 ), ORA_RICONSEGNA = ( SELECT CURRENT TIME FROM SYSIBM.SYSDUMMY1 )
WHERE ID_PRESTITO = (	SELECT P.ID_PRESTITO
			FROM LIBRO L, PRESTITO P
			WHERE L.COLLOCAZIONE = 'C01'
			AND L.CODICE_ISBN = P.LIBRO
			AND P.NUMERO_COPIA = 1
			AND P.DATA_RICONSEGNA IS NULL
			AND P.ORA_RICONSEGNA IS NULL );

UPDATE COPIA_LIBRO
SET DISPONIBILE = 'S'
WHERE CODICE_ISBN = ( 	SELECT L.CODICE_ISBN 
			FROM LIBRO L 
			WHERE L.COLLOCAZIONE = 'C01') 
AND NUMERO_COPIA = 1;
