CREATE TRIGGER DB2INST1.RITARDO_CONSEGNA 
AFTER UPDATE ON DB2INST1.PRESTITO 
REFERENCING NEW AS N 
FOR EACH ROW MODE DB2SQL 
WHEN ( N.DATA_RICONSEGNA - N.DATA_ACQUISIZIONE > N.NUMERO_GIORNI )
BEGIN ATOMIC
UPDATE UTENTE 
SET RITARDI_CONSEGNE = 1 + ( SELECT RITARDI_CONSEGNE FROM UTENTE WHERE NUMERO_TESSERA = N.UTENTE ) 
WHERE NUMERO_TESSERA = N.UTENTE ;
UPDATE UTENTE 
SET OSSERVATO = 'S' 
WHERE NUMERO_TESSERA = N.UTENTE;
END
